package cz.moneta.test.regression.channels.digital.web;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.JiraTestCase;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

@Disabled("Not currently maintained")
@TestScenario(name = "Check exchange rates")
public class ExchangeRatesTest {

    @Disabled
    @TestCase(name = "Check exchange rates table and calculator", environments = {Environment.TST1, Environment.PPE})
    @JiraTestCase(id = "NWP-T74")
    public void tcExchangeRates(Harness harness) {
        harness.withMonetaPortal()
                .openHomePage()
                .openMoreMenu()
                .openExchangeRates()
                .selectExchangeRatesCurrencyFrom("CZK")
                .selectExchangeRatesCurrencyTo("PLN")
                .fillEchangeRatesAmount("55000");
    }
}